summaryrefslogtreecommitdiff
path: root/tests/mv/part-hardlink
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/part-hardlink')
-rwxr-xr-xtests/mv/part-hardlink4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/part-hardlink b/tests/mv/part-hardlink
index 9fb6c00cd..9a8eac770 100755
--- a/tests/mv/part-hardlink
+++ b/tests/mv/part-hardlink
@@ -4,7 +4,7 @@
# For additional constraints, see the comment in copy.c.
# Before coreutils-5.2.1, this test would fail.
-# Copyright (C) 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then